Mint 20 & Firefox

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Mint 20 & Firefox

Post by Fizz »

Hi all-

I just updated to Mint 20, and have an issue with Firefox.

Many sites seem insistent that my Firefox version is out of date. For example, Twitter will bring up a message "This browser is no longer supported", and sometimes redirect to a Twitter Mobile version because I "am using an older version of Internet Explorer". Certain other websites do this too. This did not occur under Mint 19.3. I can't figure out the cause or the fix.

I have noticed that in 19.3, the Firefox version is "71.0 Mozilla Firefox for Linux Mint, mint - 1.0" Whereas in Mint 20, it is "78.0.2 Mozilla Firefox for Ubuntu, canonical - 1.0".

So not sure what's going on, but hoping there is a fix. Thanks!

-Fizz
User avatar
GS3
Level 7
Level 7
Posts: 1746
Joined: Fri Jan 06, 2017 7:51 am

Re: Mint 20 & Firefox

Post by GS3 »

It is not that the version is out of date, it is that the server does not know what browser the client is using. It seems your system/browser is not reporting correctly.

I am using Firefox ESR 52.9.0 on Win XP and it works fine.

Somehow your system is not reporting correctly. Do you have any antivirus, VPV, Proxy or other protective measures that could be doing this? Trying to hide you?
Please do not use animated GIFs in avatars because many of us find them distracting and obnoxious. Thank you.
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

GS3 wrote:
Mon Jul 27, 2020 1:05 pm
It is not that the version is out of date, it is that the server does not know what browser the client is using. It seems your system/browser is not reporting correctly.

I am using Firefox ESR 52.9.0 on Win XP and it works fine.

Somehow your system is not reporting correctly. Do you have any antivirus, VPV, Proxy or other protective measures that could be doing this? Trying to hide you?
No, i haven't added anything like that. I have an adblocker add-on, but it's no different from what i had on the earlier version.

I think you're right- it's as though the browser isn't reporting itself correctly (or maybe at all).


-Fizz
User avatar
GS3
Level 7
Level 7
Posts: 1746
Joined: Fri Jan 06, 2017 7:51 am

Re: Mint 20 & Firefox

Post by GS3 »

It is the first time I see this problem and the only thing I can suggest while we wait for someone who knows more would be to reinstall the browser.

I know there are add-ons which will report whatever browser you want. Maybe installing that will do the trick.

https://en.wikipedia.org/wiki/User_agent
Please do not use animated GIFs in avatars because many of us find them distracting and obnoxious. Thank you.
User avatar
antikythera
Level 8
Level 8
Posts: 2127
Joined: Thu Jul 02, 2020 12:52 pm

Re: Mint 20 & Firefox

Post by antikythera »

What's going on is Firefox 79 has been released by Mozilla and it's internal version checker picked up on this. Thunderbird is doing the same thing on Zorin OS.

Ignore the warnings for now, you'll get the new version shortly when Ubuntu update their packages.

https://news.softpedia.com/news/mozilla ... 0633.shtml
Last edited by antikythera on Mon Jul 27, 2020 3:54 pm, edited 1 time in total.
Don't take life so seriously, nobody gets out alive anyway!
AMSTRAD CPC6128 - 128KB RAM, 3" Hitachi Floppy Diskette Drive, External Sony Cassette Recorder, Locomotive BASIC 1.1, CTM-644 Monitor
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

GS3 wrote:
Mon Jul 27, 2020 3:43 pm
It is the first time I see this problem and the only thing I can suggest while we wait for someone who knows more would be to reinstall the browser.

I know there are add-ons which will report whatever browser you want. Maybe installing that will do the trick.

https://en.wikipedia.org/wiki/User_agent
Yeah, reinstall is all i could think of too, but that didn't work. :(

-Fizz
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

antikythera wrote:
Mon Jul 27, 2020 3:50 pm
What's going on is Firefox 79 has been released by Mozilla and it's internal version checker picked up on this. Thunderbird is doing the same thing on Zorin OS.

Ignore the warnings for now, you'll get the new version shortly when Ubuntu update their packages.
Ah, ok so it something on their end, not on mine. Good. I'll keep an eye out for updates. Thanks!

-Fizz
User avatar
JoeFootball
Level 9
Level 9
Posts: 2801
Joined: Tue Nov 24, 2009 1:52 pm
Location: /home/usa/mn/minneapolis/joe

Re: Mint 20 & Firefox

Post by JoeFootball »

Fizz wrote: I have noticed that in 19.3, the Firefox version is "71.0 Mozilla Firefox for Linux Mint, mint - 1.0"
LM 19.3 should certainly have the latest version as well, which is 78.0.2 as I type this (and 79.0 in the coming days).
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

JoeFootball wrote:
Mon Jul 27, 2020 3:53 pm
Fizz wrote: I have noticed that in 19.3, the Firefox version is "71.0 Mozilla Firefox for Linux Mint, mint - 1.0"
LM 19.3 should certainly have the latest version as well, which is 78.0.2 as I type this (and 79.0 in the coming days).
I didn't have 19.3 set to auto-update, so that's why it was still on 71. I presume it updated Firefox as part of the Mint 20 upgrade process.

-Fizz
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

Fizz wrote:
Mon Jul 27, 2020 3:53 pm
antikythera wrote:
Mon Jul 27, 2020 3:50 pm
What's going on is Firefox 79 has been released by Mozilla and it's internal version checker picked up on this. Thunderbird is doing the same thing on Zorin OS.

Ignore the warnings for now, you'll get the new version shortly when Ubuntu update their packages.
Ah, ok so it something on their end, not on mine. Good. I'll keep an eye out for updates. Thanks!

-Fizz
Well, i saw the update for 79, and installed it. Unfortunately, i still get that same behavior.

It is strange. On some twitter pages, i get a modal overlay that says "this browser is no longer supported". But other twitter pages go to a basic mobile layout which fixes itself on refresh- every other refresh it breaks / fixes itself.

Any browser settings that may cause this? Thoughts? Thanks!


-Fizz
User avatar
GS3
Level 7
Level 7
Posts: 1746
Joined: Fri Jan 06, 2017 7:51 am

Re: Mint 20 & Firefox

Post by GS3 »

I would not expect that error message in a slightly outdated browser version and I do not think that is the cause. If you were using IE6 then yes but not with a relatively recent version of Firefox. I am still using the older 78.0.2 version and do not get that error. You were using a much older version and were not getting that error.

Also, the error message is generated by the server web site and has nothing to do with your OS.

It still seems to me the most probably cause is that your HTTP request is reporting a wrong user agent or no user agent at all, more likely the latter.

Have a look at this page https://support.mozilla.org/en-US/kb/ho ... nt-firefox as it may have the answer.

Else I would suspect either some protective/anonymouser filtering either at your machine or at the router or even further down the line.

Maybe someone with more knowledge can tell you how to find out.

Maybe use wireshark to see what user agent your machine is reporting or maybe set up a server yourself.

Have you tried other browsers? Does it happen then too?

You can try https://addons.mozilla.org/es/firefox/a ... r-revived/ to tell your browser what user agent to report.
Last edited by GS3 on Thu Jul 30, 2020 3:15 pm, edited 1 time in total.
Please do not use animated GIFs in avatars because many of us find them distracting and obnoxious. Thank you.
User avatar
blackcarajillo
Level 3
Level 3
Posts: 113
Joined: Wed Jun 22, 2016 12:33 pm

Re: Mint 20 & Firefox

Post by blackcarajillo »

Fizz wrote:
Mon Jul 27, 2020 11:28 am
Whereas in Mint 20, it is "78.0.2 Mozilla Firefox for Ubuntu, canonical - 1.0".
That is strange. It should show Mint as it also does here on my machine running Linux Mint 20.
Are you using the version from the repositories?

Code: Select all

apt policy firefox
will show us which version is actually installed on your system.
barneyblogggs
Level 1
Level 1
Posts: 36
Joined: Mon Dec 29, 2014 7:40 am
Location: Newcastle, UK

Re: Mint 20 & Firefox

Post by barneyblogggs »

Hi all,
Just another quick question related to this topic.
Sorry I cannot tell you what my previous version of FF was but now after upgrading to LM20 earlier this week I have FF version 78.0.2 for Linux Mint.

Does the version of FF you end up with after the upgrade depend on:
the version you had prior to the upgrade
OR
perhaps even the mirror used to pull down the upgrade files
OR something else entirely.
Just wondering because the OP stated he has a FF version listed as "...for Ubuntu"

Regards,
barneyblogggs
User avatar
GS3
Level 7
Level 7
Posts: 1746
Joined: Fri Jan 06, 2017 7:51 am

Re: Mint 20 & Firefox

Post by GS3 »

This is what I see.
Attachments
FFVersion.png
FFVersion.png (4.56 KiB) Viewed 496 times
Please do not use animated GIFs in avatars because many of us find them distracting and obnoxious. Thank you.
barneyblogggs
Level 1
Level 1
Posts: 36
Joined: Mon Dec 29, 2014 7:40 am
Location: Newcastle, UK

Re: Mint 20 & Firefox

Post by barneyblogggs »

GS3 wrote:
Thu Jul 30, 2020 3:19 pm
This is what I see.
Me too :-)

barneybloggs
for the record I have no problems with the browser
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

GS3 wrote:
Thu Jul 30, 2020 3:06 pm
It still seems to me the most probably cause is that your HTTP request is reporting a wrong user agent or no user agent at all, more likely the latter.
I agree, that is what it feels like.
And I would suspect either some protective/anonymouser filtering either at your machine or at the router or even further down the line.
I don't have anything like that installed.
Have you tried other browsers? Does it happen then too?
It does not happen on my older machine, which is running FF 67 (or thereabouts).
You can try https://addons.mozilla.org/es/firefox/a ... r-revived/ to tell your browser what user agent to report.
Nifty little tool. I gave this a try. Unfortunately, the behavior doesn't change regardless of which browser i report as. It's like the browser refuses to report anything.

-Fizz
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

GS3 wrote:
Thu Jul 30, 2020 3:19 pm
This is what I see.
Mine does not say that. It may have at one point, but i was experiencing the issue, and tried a reinstall. Mine now says:
Version 79.0 (64 bit)
Mozilla Firefox for Ubuntu
canonical - 1.0

But like i said, this began occurring immediately after my upgrade to Mint 20.

-Fizz
Mick-Cork
Level 4
Level 4
Posts: 269
Joined: Sun Mar 23, 2014 10:10 pm
Location: West Cork & London

Re: Mint 20 & Firefox

Post by Mick-Cork »

If it helps you can also see what user agent your browser is sending here: https://www.whatismybrowser.com/detect/ ... user-agent
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

Mick-Cork wrote:
Thu Jul 30, 2020 3:38 pm
If it helps you can also see what user agent your browser is sending here: https://www.whatismybrowser.com/detect/ ... user-agent
Thanks. So that suggests it is working properly. It says:
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:79.0) Gecko/20100101 Firefox/79.0

Everyone else get the same, or do you see "Mint" anywhere? (Is that part of the issue maybe?)

-Fizz
Fizz
Level 4
Level 4
Posts: 311
Joined: Mon Jul 15, 2019 8:17 am

Re: Mint 20 & Firefox

Post by Fizz »

blackcarajillo wrote:
Thu Jul 30, 2020 3:12 pm
Fizz wrote:
Mon Jul 27, 2020 11:28 am
Whereas in Mint 20, it is "78.0.2 Mozilla Firefox for Ubuntu, canonical - 1.0".
That is strange. It should show Mint as it also does here on my machine running Linux Mint 20.
Are you using the version from the repositories?

Code: Select all

apt policy firefox
will show us which version is actually installed on your system.
Here's the results:

Code: Select all

firefox:
  Installed: 79.0+linuxmint1+ulyana
  Candidate: 79.0+linuxmint1+ulyana
  Version table:
 *** 79.0+linuxmint1+ulyana 700
        700 http://packages.linuxmint.com ulyana/upstream amd64 Packages
        100 /var/lib/dpkg/status
     79.0+build1-0ubuntu0.20.04.1 500
        500 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
     75.0+build3-0ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
-Fizz
Post Reply

Return to “Newbie Questions”